> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nodesms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Responses Format

> OpenAI Responses API for creating model responses. Supports multi-turn conversations, tool calls, reasoning, and more.

## Headers

**Authorization** `string` *required*

Bearer token authentication. Format: `Authorization: Bearer sk-xxxxxx`

## Body

Format: `application/json`

**model** `string` *required*

Model ID

**input** `string | object[]`

Input content, can be a string or an array of messages

**instructions** `string`

System instructions

**max\_output\_tokens** `integer`

Maximum number of output tokens

**temperature** `number`

Sampling temperature

**top\_p** `number`

Nucleus sampling parameter

**stream** `boolean`

Whether to stream the response

**tools** `object[]`

List of tools

**tool\_choice** `string | object`

Tool selection strategy

**reasoning** `object`

Reasoning parameters

**previous\_response\_id** `string`

Previous response ID, used for multi-turn conversations

**truncation** `string`

Truncation strategy. Options: `"auto"` or `"disabled"`

## Response

### 200 Successfully created response

Format: `application/json`

**id** `string`

Response ID

**object** `string`

Object type, value is `response`

**created\_at** `integer`

Creation timestamp

**status** `string`

Status. Options: `completed`, `failed`, `in_progress`, `incomplete`

**model** `string`

Model ID

**output** `object[]`

List of output items

**Properties**

**type** `string`

Output type

**id** `string`

Output item ID

**status** `string`

Output item status

**role** `string`

Role

**content** `array[object]`

Content list

**Properties**

**type** `string`

Content type

**text** `string`

Text content

**usage** `object`

Token usage information

**Properties**

**prompt\_tokens** `integer`

Prompt token count

**completion\_tokens** `integer`

Completion token count

**total\_tokens** `integer`

Total token count

**prompt\_tokens\_details** `object`

Prompt token details

**Properties**

**cached\_tokens** `integer`

Cached token count

**text\_tokens** `integer`

Text token count

**audio\_tokens** `integer`

Audio token count

**image\_tokens** `integer`

Image token count

**completion\_tokens\_details** `object`

Completion token details

**Properties**

**text\_tokens** `integer`

Text token count

**audio\_tokens** `integer`

Audio token count

**reasoning\_tokens** `integer`

Reasoning token count

```bash cURL theme={"dark"}
curl -X POST "https://t.ato2.nodesms.com/v1/responses" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "string"
  }'
```

```python Python theme={"dark"}
import openai

client = openai.OpenAI(
    api_key="sk-xxxxxx",
    base_url="https://t.ato2.nodesms.com/v1"
)

response = client.responses.create(
    model="string"
)
print(response.output)
```

```json 200 theme={"dark"}
{
  "id": "string",
  "object": "response",
  "created_at": 0,
  "status": "completed",
  "model": "string",
  "output": [
    {
      "type": "string",
      "id": "string",
      "status": "string",
      "role": "string",
      "content": [
        {
          "type": "string",
          "text": "string"
        }
      ]
    }
  ],
  "usage": {
    "prompt_tokens": 0,
    "completion_tokens": 0,
    "total_tokens": 0,
    "prompt_tokens_details": {
      "cached_tokens": 0,
      "text_tokens": 0,
      "audio_tokens": 0,
      "image_tokens": 0
    },
    "completion_tokens_details": {
      "text_tokens": 0,
      "audio_tokens": 0,
      "reasoning_tokens": 0
    }
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.